import request from "@/utils/request";

//工厂下拉框
export async function factorySelect(params) {
  return request(`/wmspro/ngic-auth/sysFactory/selectionBox`, {
    method: "POST",
    data: params,
  });
}
//查询个人所属工厂下拉框
export async function factorySelectByuser(params) {
  return request(`/wmspro/ngic-auth/sysFactory/selectionBoxU`, {
    method: "POST",
    data: params,
  });
}
//查询工厂下拉框---注册
export async function factorySelectRegister(params) {
  return request(`/wmspro/ngic-auth/sysFactory/selectionBoxAll`, {
    method: "POST",
    data: params,
  });
}

//全部车间下拉框
export async function shopSelect(params) {
  return request(`/wmspro/ngic-auth/sysShop/selectionBox`, {
    method: "POST",
    data: params,
  });
}
//仓库下拉
export async function storeselectionBoxAll(params) {
  return request(`/wmspro/ngic-auth/sysStore/selectionBox`, {
    method: "POST",
    data: params,
  });
}
//根据工厂id查询车间下拉
export async function storeselectionBox(params) {
  return request(`/wmspro/ngic-auth/sysStore/selectionBox`, {
    method: "POST",
    data: params,
  });
}
//全部组织下拉
export async function allDepartment(params) {
  return request(`/wmspro/ngic-auth/sysDepartment/query/selectbox/depart`, {
      method: 'POST',
      data: params,
  });
}

//根据工厂id查询车间下拉
export async function shopSelectByFactory(params) {
  return request(`/wmspro/ngic-auth/sysShop/query/selectbox/factory`, {
    method: "POST",
    data: params,
  });
}
//根据车间id查询产线下拉
export async function productionLineSelectByShop(params) {
  return request(`/wmspro/ngic-auth/sysProductionLine/query/selectbox/shopId`, {
    method: "POST",
    data: params,
  });
}
//根据车间id集合查询产线下拉
export async function productionLineSelectByShops(params) {
  return request(`/wmspro/ngic-auth/sysProductionLine/query/selectbox/shopIds`, {
    method: "POST",
    data: params,
  });
}
//根据车间id查询工段下拉
export async function sectionSelectByShop(params) {
  return request(`/wmspro/ngic-auth/sysSection/query/selectbox/shopId`, {
    method: "POST",
    data: params,
  });
}
//根据车间id集合查询工段下拉
export async function sectionSelectByShops(params) {
  return request(`/wmspro/ngic-auth/sysSection/query/selectbox/shopIds`, {
    method: "POST",
    data: params,
  });
}
//授权前查询权限树
export async function roleTree(params) {
  return request(`/wmspro/ngic-auth/sysRolePermission/queryAll`, {
    method: "POST",
    data: params,
  });
}
//角色下权限数据
export async function adminDataqueryAll(params) {
  return request(`/wmspro/ngic-auth/sysRoleDataPermission/queryAll`, {
    method: "POST",
    data: params,
  });
}
//不包含自己在内的全部用户下拉框
export async function userSelect(params) {
  return request(`/wmspro/ngic-auth/sysUser/queryParentSelectionByUserId`, {
    method: "POST",
    data: params,
  });
}
//全部用户下拉框
export async function allUserSelect(params) {
  return request(`/wmspro/ngic-auth/sysUser/query/selectbox/company`, {
    method: "POST",
    data: params,
  });
}
//根据工厂id查询树结构
export async function departmentTree(params) {
  return request(`/wmspro/ngic-auth/sysDepartment/query/tree`, {
    method: "POST",
    data: params,
  });
}
//查询角色下拉框
export async function roleSelect(params) {
  return request(`/wmspro/ngic-auth/sysRole/queryAllSelectList`, {
    method: "POST",
    data: params,
  });
}

//查询角色下拉框---注册
export async function roleSelectRegister(params) {
  return request(`/wmspro/ngic-auth/sysRole/queryAllSelectByComId`, {
    method: "POST",
    data: params,
  });
}
//查询全部编号类型下拉框(登录人公司)
export async function bmNoRule(params) {
  return request(`/wmspro/ngic-base-business/bmNoRule/querySelect`, {
    method: "POST",
    data: params,
  });
}

//根据物料查询产线下拉框
export async function productionLineSelectByMaterieId(params) {
  return request(`/wmspro/ngic-auth/sysProductionLine/query/selectbox/materieId`, {
    method: "POST",
    data: params,
  });
}

//根据物料查询班组下拉框
export async function groupSelectByMaterieId(params) {
  return request(`/wmspro/ngic-auth/sysGroup/query/selectbox/materieId`, {
    method: "POST",
    data: params,
  });
}

//根据物料查询班次下拉框
export async function shiftSelectByMaterieId(params) {
  return request(`/wmspro/ngic-auth/sysShift/query/selectbox/materieId`, {
    method: "POST",
    data: params,
  });
}

//根据车间id查询班次下拉框
export async function shiftSelectByShopId(params) {
  return request(`/wmspro/ngic-auth/sysShift/query/selectbox/shopId`, {
    method: "POST",
    data: params,
  });
}
//角色下拉框
export async function roleList(params) {
  return request(`/wmspro/ngic-auth/sysRole/queryAllSelectList`, {
      method: 'POST',
      data: params,
  });
}
//集团下拉框
export async function factory(params) {
  return request(`/wmspro/ngic-auth/sysDepartment/query/selectbox/factory`, {
      method: 'POST',
      data: params,
  });
}
// 
// 4 ：
//集团下拉框
export async function zuzhi(params) {
  return request(`/wmspro/ngic-auth/sysDepartment/query/tree`, {
      method: 'POST',
      data: params,
  });
}
//集团下拉框
export async function depart(params) {
  return request(`/wmspro/ngic-auth/sysDepartment/query/selectbox/depart`, {
      method: 'POST',
      data: params,
  });
}
//集团下拉框
export async function selectionBoxAll(params) {
  return request(`/wmspro/ngic-auth/sysStore/selectionBoxAll`, {
      method: 'POST',
      data: params,
  });
}


//下拉框---当前公司下
export async function currentUserList(params) {
  return request(`/wmspro/ngic-auth/sysUser/query/selectbox/current/company`, {
      method: 'POST',
      data: params,
  });
}
//当前公司所有工厂下拉
export async function allShop(params) {
  return request(`/wmspro/ngic-auth/sysShop/query/selectbox/current/company`, {
      method: 'POST',
      data: params,
  });
}
//当前公司所有车间下拉
export async function allSection(params) {
  return request(`/wmspro/ngic-auth/sysSection/query/selectbox`, {
      method: 'POST',
      data: params,
  });
}

//查询全部编号类型下拉框(登录人公司)
export async function bmNoTypeadd(params) {
  return request(`/wmspro/ngic-base-business/bmNoType/querySelect`, {
      method: 'POST',
      data: params,
  });
}

//查询全部编号类型下拉框(登录人公司)
export async function bmNoType(params) {
  return request(`/wmspro/ngic-base-business/bmNoType/queryAllSelect`, {
      method: 'POST',
      data: params,
  });
}